# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/
%define repodirmagic %{_javadir}/repository.jboss.com/org/jboss/resteasy/%{full_version}-brew
%define repodirlib %{repodirmagic}/lib
%define repodirsrc %{repodirmagic}/src


Name:           resteasy
Version:        1.2.1
Release:        10.CP02_patch01.1%{?dist}
Summary:        RESTEasy is a fully certified JAX-RS implementation
License:        LGPL
Group:          Development/Java
URL:            http://www.jboss.org/resteasy/

%define full_version %{version}.GA_CP02

%define groupId org.jboss.resteasy

# Here are the sources
# https://github.com/liweinan/Resteasy/tree/RESTEASY_JAXRS_1_2_1_GA_CP02_patch01
# tar czf resteasy-1.2.1.GA_CP02_patch01-src.tgz resteasy
#Source0: resteasy-%{full_version}-src.tgz
Source0: resteasy-1.2.1.GA_CP02_patch01-src.tgz

# A component-info.xml created from scratch
Source1: resteasy-component-info.xml

# Depmap to convert mismatched Maven coordinates
Source2: %{name}-depmap.xml

# Enterprise EULA (from CVS jboss-wfk/RHEL-4-EP-5/JBossEULA.txt)
Source3: %{name}-JBossEULA.txt

# FIXME: We need a package for each of these binaries
Source4: %{name}-eclipse.tgz
Source5: %{name}-excalibur-parent.tgz
Source6: %{name}-avalon-framework.tgz
Source8: %{name}-httpclient.tgz
Source14: xml-resolver-1.1.jar
#Source15: docbook-1.75.2.jar
#Source16: mysql-connector-java-5.1.8.jar
#Source17: maven-jaxb2-plugin-0.6.3.jar

# Things we need to patch
Patch0: pom-xml.patch
Patch1: example-pom-xml.patch
Patch2: JettyLifecycleManager-java.patch
Patch3: resteasy-spring-pom-xml.patch
#Patch1: %{name}-spring-pom-xml.patch
#Patch2: %{name}-encoding-test-pom-xml.patch
#Patch3: %{name}-async-http-servlet-3.0-test-jetty.patch
#Patch4: %{name}-dist-assembly.patch
#Patch5: %{name}-dist-pom.patch
#Patch6: %{name}-pom.patch
#Patch7: %{name}-war-tests-pom.patch
#Patch8: %{name}-providers-pom.patch
#Patch9: %{name}-springMVC-contacts-jsp.patch
#Patch10: %{name}-slf4j.patch


BuildArch:      noarch

# Basic stuff
BuildRequires: jpackage-utils
BuildRequires: java
BuildRequires: java-devel

# Maven and its dependencies
BuildRequires: maven2
#BuildRequires: maven2-plugin-antrun
#BuildRequires: maven-antrun-plugin 
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-clean
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-dependency
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-site
BuildRequires: maven2-plugin-source
BuildRequires: maven2-plugin-war
BuildRequires: maven-doxia-sitetools

BuildRequires: maven-jdocbook-plugin
BuildRequires: jdocbook-style-xsl

BuildRequires: maven-shared
BuildRequires: maven-shared-file-management
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-shared-plugin-tools-api
BuildRequires: maven-surefire
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-wagon
BuildRequires: plexus-archiver
BuildRequires: plexus-compiler
BuildRequires: plexus-containers-container-default
BuildRequires: plexus-i18n
BuildRequires: plexus-utils
BuildRequires: plexus-velocity
#BuildRequires: maven2-jaxb2-plugin
BuildRequires: maven2-anno-plugin
BuildRequires: sun-jai

BuildRequires: mysql-connector-java
BuildRequires: jetty6-maven2-plugins
BuildRequires: jetty6
BuildRequires: jetty6-core
BuildRequires: jetty6-spring
BuildRequires: jetty6-annotations
BuildRequires: jetty6-management
# used by jetty6-naming
# Provides:    annotation_1_0_api
# In jboss-javaee
BuildRequires: jboss-ejb-3.0-api
# used by jetty6-annotations
# Provides:    javamail_1_4_api = %{version}-%{release}
BuildRequires: glassfish-javamail

BuildRequires: jsp_2_1_api

# RESTEasy dependencies
#BuildRequires: ant >= 0:1.6.5
#BuildRequires: ant = 0:1.8.2
BuildRequires: antlr >= 0:2.7.6
BuildRequires: aopalliance >= 0:1.0
BuildRequires: aspectj >= 0:1.5.3
BuildRequires: xmlgraphics-batik
BuildRequires: xmlgraphics-commons
BuildRequires: cglib >= 0:2.2
BuildRequires: classworlds >= 0:1.1
BuildRequires: google-guice >= 0:1.0
BuildRequires: glassfish-jaxb >= 0:2.1.9
BuildRequires: sun-fi >= 0:1.2.7
BuildRequires: sun-sjsxp >= 0:1.0.1
BuildRequires: xstream >= 0:1.3.1
BuildRequires: jhighlight >= 0:1.0
BuildRequires: jakarta-commons-cli >= 0:1.0
BuildRequires: jakarta-commons-codec >= 0:1.2
BuildRequires: jakarta-commons-dbcp >= 0:1.2.1
BuildRequires: jakarta-commons-httpclient >= 0:3.1
BuildRequires: jakarta-commons-io >= 0:1.4
BuildRequires: jakarta-commons-lang >= 0:2.4
BuildRequires: jakarta-commons-logging >= 0:1.1.1
BuildRequires: jakarta-commons-pool >= 0:1.3
BuildRequires: xml-im-exporter >= 0:1.1
BuildRequires: dom4j >= 0:1.6.1
BuildRequires: jboss-transaction-1.0.1-api
BuildRequires: hsqldb >= 0:1.8.0.7
BuildRequires: javassist >= 0:3.9.0
BuildRequires: glassfish-jaf >= 0:1.1
BuildRequires: glassfish-javamail >= 0:1.4
BuildRequires: jboss-ejb-3.0-api
# but to match the rest of the EAP we use the binary jsr250.jar bundled
# with the glassfish-jaxws (NOT built from sources)
BuildRequires: glassfish-jaxws
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: tomcat6-lib
# Stax 1.0 API is in codehaus-stax11 (1.0.1 is in codehaus-stax)
BuildRequires: codehaus-stax11-api
BuildRequires: jaxen >= 0:1.1.2
BuildRequires: jbossweb >= 0:2.1.7
BuildRequires: jbossws
BuildRequires: jbossws-parent
BuildRequires: jdom >= 0:1.0
BuildRequires: jgroups >= 0:2.6.19
BuildRequires: jtidy >= 0:1.0
BuildRequires: junit4
BuildRequires: ehcache >= 0:1.2.3
BuildRequires: apache-abdera-core >= 0:0.4.0
BuildRequires: apache-abdera-parser >= 0:0.4.0
BuildRequires: apache-abdera-client >= 0:0.4.0
BuildRequires: apache-abdera-dependencies >= 0:0.4.0
BuildRequires: apache-james >= 0:0.6
BuildRequires: velocity >= 0:1.5
BuildRequires: ws-commons-axiom >= 0:1.2.7
BuildRequires: xmlgraphics-fop >= 0:0.95
BuildRequires: codehaus-jackson-core-asl >= 0:1.0.1
BuildRequires: codehaus-jackson-jaxrs >= 0:1.0.1
BuildRequires: codehaus-jackson-mapper-asl >= 0:1.0.1
BuildRequires: codehaus-jackson-xc
BuildRequires: jettison >= 0:1.2
BuildRequires: wstx  >= 0:3.2.8
BuildRequires: hibernate3-ejb-persistence-3.0-api >= 1:1.0.2
BuildRequires: hibernate3 >= 0:3.3.2
BuildRequires: hibernate3-annotations >= 0:3.4.0
BuildRequires: hibernate3-commons-annotations >= 0:3.1.0
BuildRequires: jboss-cache-core >= 0:3.2.7
BuildRequires: jboss-common-core >= 0:2.2.17
BuildRequires: jboss-common-logging-spi >= 0:2.1.2
BuildRequires: jboss-parent
BuildRequires: jbossorg-docbook-highlight
BuildRequires: jbossorg-docbook-xslt >= 0:1.1.0
BuildRequires: jbossorg-jdocbook-style >= 0:1.1.0
BuildRequires: jyaml >= 0:1.3
BuildRequires: richfaces-highlight
BuildRequires: richfaces-docs
BuildRequires: richfaces-root
BuildRequires: scannotation >= 0:1.0.2
BuildRequires: slf4j >= 0:1.5.8
BuildRequires: spring2 >= 0:2.5.6
BuildRequires: spring2-all
BuildRequires: spring2-beans
BuildRequires: spring2-context
BuildRequires: spring2-context-support
BuildRequires: spring2-core
BuildRequires: spring2-test
BuildRequires: spring2-web
BuildRequires: spring2-webmvc
BuildRequires: jakarta-oro >= 0:2.0.8
BuildRequires: saxon >= 0:6.5.3
BuildRequires: jakarta-slide-webdavclient >= 0:2.1
BuildRequires: tjws >= 0:1.3.3
BuildRequires: xalan-j2 >= 0:2.7.0
BuildRequires: xerces-j2 >= 0:2.9.1
BuildRequires: xml-commons >= 0:1.3.03
BuildRequires: xpp3-minimal >= 0:1.1.3.4
BuildRequires: jcip-annotations
BuildRequires: zip
BuildRequires: xml-commons-jaxp-1.3-apis


Requires: java
Requires: jpackage-utils
Requires: slf4j >= 0:1.5.8
Requires: glassfish-jaxb >= 0:2.1.4
Requires: jettison >= 0:1.2
Requires: sun-fi >= 0:1.2.7
Requires: jboss-ejb-3.0-api
Requires: jakarta-commons-codec >= 0:1.2
Requires: codehaus-stax11-api
Requires: glassfish-jaf >= 0:1.1
Requires: glassfish-javamail >= 0:1.4
Requires: javassist >= 0:3.9.0
Requires: jakarta-commons-httpclient >= 0:3.1
Requires: jboss-transaction-1.0.1-api
Requires: jgroups >= 0:2.6.19
Requires: jboss-cache-core >= 0:3.2.0
Requires: jboss-common-core >= 0:2.2.10
Requires: jboss-common-logging-spi >= 0:2.1.0
Requires: scannotation >= 0:1.0.2
Requires: apache-james >= 0:0.6
Requires: codehaus-jackson-core-asl >= 0:1.0.1
Requires: codehaus-jackson-jaxrs >= 0:1.0.1
Requires: codehaus-jackson-mapper-asl >= 0:1.0.1
Requires: jyaml >= 0:1.3
Requires: sun-sjsxp >= 0:1.0.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
RESTEasy is a client and server-side framework that helps you write and
integrate with RESTful web services.
It is a fully certified and portable implementation of the JAX-RS specification.
JAX-RS is a new JCP specification that provides a Java API for RESTful
Web Services over the HTTP protocol.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Development/Documentation

%description javadoc
API Documentation for %{name}.

%package examples
Summary:        Examples of %{name} use
Group:          Development/Documentation

%description examples
Examples of %{name} use.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Manual for %{name}.

%package zip
Summary:        ZIP Distribution for %{name}
Group:          Development

%description zip
ZIP Distribution for %{name}.

%package src-zip
Summary:        Container for the sources for %{name}
Group:          Development

%description src-zip
Container for the sources for %{name}.

%if %{with_repolib}
%package         repolib
Summary:         Artifacts to be uploaded to a repository library
Group:  Development/Libraries/Java

%description     repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif


%prep
%setup -q -n %{name}

# Here we apply the patches
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
#%patch4 -p0
#%patch5 -p0
#%patch6 -p0
#%patch7 -p0
#%patch8 -p0
#%patch9 -p0
#%patch10 -p1

# Add the EULA!
cp %{SOURCE3} JBossEULA.txt

# FIXME: The RESTEasy build should do that!
# Create the src-zip
zip -q -9 -r /tmp/jboss-resteasy-src-dist.zip *

%build
# Needed by the mvn-jpp command we use
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/

# Add any artifacts we cannot download to local repository
pushd $MAVEN_REPO_LOCAL
tar xzf %{SOURCE4}
tar xzf %{SOURCE5}
tar xzf %{SOURCE6}
tar xzf %{SOURCE8}
popd

# The depmap is used by the mvn-jpp command to convert dependencies
# to the locations and versions that are available (if needed)
cp %{SOURCE2} %{name}-depmap.xml
export MAVEN_DEPMAP=$(pwd)/%{name}-depmap.xml

# Build the binary distribution
mvn-jpp \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
		install:install-file \
		-DgroupId=xml-resolver \
		-DartifactId=xml-resolver \
		-Dversion=1.1 \
		-Dpackaging=jar \
		-Dfile=%{SOURCE14}
		
#mvn-jpp \
#        -e \
#        -Dmaven2.jpp.mode=true \
#        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
#		install:install-file \
#		-DgroupId=net.sf.docbook \
#		-DartifactId=docbook \
#		-Dversion=1.72.0 \
#		-Dpackaging=jar \
#		-Dfile=%{SOURCE15}

#mvn-jpp \
#        -e \
#        -Dmaven2.jpp.mode=true \
#        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
#		install:install-file \
#		-DgroupId=mysql \
#		-DartifactId=mysql-connector-java \
#		-Dversion=5.1.6 \
#		-Dpackaging=jar \
#		-Dfile=%{SOURCE16}
		
#mvn-jpp \
#        -e \
#        -Dmaven2.jpp.mode=true \
#        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
#		install:install-file \
#		-DgroupId=org.jvnet.jaxb2.maven2 \
#		-DartifactId=maven-jaxb2-plugin \
#		-Dversion=0.6.3 \
#		-Dpackaging=jar \
#		-Dfile=%{SOURCE17}


mvn-jpp -e \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=${MAVEN_DEPMAP} \
        -Dmaven.test.skip=true \
        install

mvn-jpp -e \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=${MAVEN_DEPMAP} \
        -Dmaven.test.skip=true \
        javadoc:javadoc

pushd docbook
mvn-jpp -e \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=${MAVEN_DEPMAP} \
        -Dmaven.test.skip=true \
        install
popd

pushd distribution
mvn-jpp -e \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=${MAVEN_DEPMAP} \
        -Dmaven.test.skip=true \
        install
popd


%install
rm -rf $RPM_BUILD_ROOT

echo $(pwd)

# TODO: 
# - Add repolib subpackage

# Everything is inside the ZIP, so expand it in /tmp first
mkdir /tmp/%{name}
unzip -q -d /tmp/%{name} distribution/target/distribution/resteasy-jaxrs-%{full_version}-all.zip
pushd /tmp/%{name}
echo $(pwd)

# JBPAPP-3898 -  remove resteasy-jaxr-war as that should not be distributed
# and contains only bogus examples
rm -fr resteasy-jaxrs-%{full_version}/resteasy-jaxrs.war

# JBPAPP-3332 commons-logging is deemed "provided"
rm -f resteasy-jaxrs-%{full_version}/lib/commons-logging*.jar

# Add the EULA!
# FIXME Doesn't the README.html need to be on the ZIP too?
cp %{SOURCE3} resteasy-jaxrs-%{full_version}/JBossEULA.txt

# Main library installation
# RESTEasy libraries
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p resteasy-jaxrs-%{full_version}/lib/resteasy* $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p resteasy-jaxrs-%{full_version}/lib/async-http-* $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p resteasy-jaxrs-%{full_version}/lib/jaxrs-api* $RPM_BUILD_ROOT%{_javadir}/%{name}
# Unversioned symlinks to JARs
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{full_version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{full_version}||g"`; done)

# RESTEasy examples
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/examples
cp -pr resteasy-jaxrs-%{full_version}/examples/* \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/examples

# FIXME this should be done by the build assembly
# Remove versions from JAR names in lib directories
# These were the original versions specified, not the ones actually used!

remove_versions() {
for jar in \
  activation \
  mail \
  apache-mime4j \
  commons-codec \
  jsr250-api \
  slf4j-api \
  slf4j-simple \
  jcl-over-slf4j \
  jettison \
  jaxb-impl \
  FastInfoset \
  sjsxp \
  jyaml \
  javassist \
  scannotation \
; do
  [ -f ${jar}-*.jar ] && mv ${jar}-*.jar ${jar}.jar
done

# The ones below are not in the WEB-INF/lib
# JBPAPP-3332 commons-logging is deemed "provided"
# commons-logging  was taken away from the list below
for jar in \
  commons-httpclient \
  jta \
  jackson-core-asl \
  jackson-jaxrs \
  jackson-mapper-asl \
  guice \
  jgroups \
  jbosscache-core \
  jboss-common-core \
  jboss-logging-spi \
; do
  [ -f ${jar}-*.jar ] && mv ${jar}-*.jar ${jar}.jar
done

ver=%{full_version}
for jar in $(ls *-${ver}.jar) ; do
  mv ${jar} `echo $jar | sed "s|-${ver}||g"` ;
done

}

pushd resteasy-jaxrs-%{full_version}/lib
echo "Remove versions in lib"

remove_versions

# FIXME: Remove JARs brought in by some dependency (Spring probably)
rm -f aopalliance*
rm -f asm*
rm -f cglib*

popd

# JBPAPP-3898 -  remove resteasy-jaxr-war as that should not be distributed
# and contains only bogus examples
%if 0
pushd resteasy-jaxrs-%{full_version}/resteasy-jaxrs.war/WEB-INF/lib
echo "Remove versions in WEB-INF/lib"

remove_versions

popd
%endif

pushd resteasy-jaxrs-%{full_version}/examples/async-job-service/target/async-job/WEB-INF/lib
echo "Remove versions in examples/async-job-service/target/async-job/WEB-INF/lib"

remove_versions

popd

pushd resteasy-jaxrs-%{full_version}/examples/resteasy-springMVC/target/resteasy-springMVC/WEB-INF/lib
echo "Remove versions in examples/resteasy-springMVC/target/resteasy-springMVC/WEB-INF/lib"

remove_versions

popd

pushd resteasy-jaxrs-%{full_version}/examples/jaxb-json/target/jaxb-json/WEB-INF/lib
echo "Remove versions in examples/jaxb-json/target/jaxb-json/WEB-INF/lib"

remove_versions

popd

#pushd resteasy-jaxrs-%{full_version}/examples/spring-hibernate/services/target/resteasy-service/WEB-INF/lib
#echo "Remove versions in examples/spring-hibernate/services/target/resteasy-service/WEB-INF/lib"

#remove_versions

#popd

# We've got all we need from the ZIP now, so go back
popd
echo $(pwd)

# Recreate the ZIP with the changes/additions
zippath=$(pwd)/distribution/target/distribution/resteasy-jaxrs-%{full_version}-all.zip
rm $zippath
pushd /tmp/%{name}
zip -q -9 -r $zippath *
popd

# Copy text files
# FIXME should these go to /usr/share/%{name} instead?
cp %{SOURCE3} $RPM_BUILD_ROOT%{_javadir}/%{name}/JBossEULA.txt
cp README.html $RPM_BUILD_ROOT%{_javadir}/%{name}/

#docs
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docbook/target/docbook/publish/en-US $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# POMs
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
for artifactId in \
                  async-http-jbossweb \
                  async-http-tomcat6 \
                  jaxrs-api \
                  resteasy-atom-provider \
                  resteasy-cache-core \
                  resteasy-guice \
                  resteasy-jackson-provider \
                  resteasy-jaxb-provider \
                  resteasy-jaxrs \
                  resteasy-multipart-provider \
                  resteasy-spring \
                  resteasy-yaml-provider \
                  resteasy-jaxrs-all \
                  resteasy-bom \
                  resteasy-jettison-provider \
                                   ; do
install -pm 644 \
  .m2/repository/org/jboss/resteasy/${artifactId}/%{full_version}/${artifactId}-%{full_version}.pom \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{groupId}-${artifactId}.pom

%add_to_maven_depmap %{groupId} %{name} ${artifactId} JPP/%{groupId} ${artifactId}
done

# Copy the ZIPs
install -d -m 755 $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev
install -m 644 distribution/target/distribution/resteasy-jaxrs-%{full_version}-all.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{full_version}-%{release}-bin-dist.zip
install -m 644 /tmp/jboss-resteasy-src-dist.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{full_version}-%{release}-src-dist.zip

%if %{with_repolib}
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodir}/maven2-brew
install -d -m 755 $RPM_BUILD_ROOT%{repodir}/maven2-brew/org
install -d -m 755 $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss
cp -pr .m2/repository/org/jboss/resteasy $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss
# Don't upload the following ones
# Don't ship abdera-atom-provider but leave it in the maven2 repo for reference
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/asynch-http-jbossweb-pom
#rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/asynch-http-servlet-3.0-pom
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/asynch-http-tomcat-pom
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/examples
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/providers-pom
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/resteasy-cache-pom
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/resteasy-jaxrs-dist
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/resteasy-jaxrs-war
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/resteasy-reference-guide-en-US
#rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/resteasy-test-data
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/test
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/testable-examples-pom
rm -fr $RPM_BUILD_ROOT%{repodir}/maven2-brew/org/jboss/resteasy/test-jackson-jaxb-coexistence

# Create the buildmagiccontent in the repolib subpackage
install -d -m 755 $RPM_BUILD_ROOT%{repodir}/org
install -d -m 755 $RPM_BUILD_ROOT%{repodir}/org/jboss
install -d -m 755 $RPM_BUILD_ROOT%{repodirmagic}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{repodirmagic}/component-info.xml
sed -i "s/@VERSION@/%{full_version}-brew/g" $RPM_BUILD_ROOT%{repodirmagic}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodirmagic}/component-info.xml
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
pushd $RPM_BUILD_ROOT%{repodirlib}
find $RPM_BUILD_ROOT%{repodir}/maven2-brew -name '*.?ar' -exec cp -p {} . \;
find $RPM_BUILD_ROOT%{repodir}/maven2-brew -name '*.pom' -exec cp -p {} . \;
popd
(cd $RPM_BUILD_ROOT%{repodirlib}
for jar in *-%{full_version}*.jar; do mv ${jar} `echo ${jar} | sed "s|-%{full_version}||g"`;done
for pom in *-%{full_version}*.pom; do mv ${pom} `echo ${pom} | sed "s|-%{full_version}||g"`;done)
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/JBossEULA.txt
%{_javadir}/%{name}/README.html
%{_javadir}/%{name}/async-http-*
%{_javadir}/%{name}/resteasy-*
%{_javadir}/%{name}/jaxrs-api*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}

%files examples
%defattr(0644, root, root, 0755)
%dir %{_javadir}/%{name}/examples
%{_javadir}/%{name}/examples/*

%files javadoc
%defattr(-, root, root, -)
%%doc %{_javadocdir}/%{name}-%{version}

%files manual
%defattr(-, root, root, -)
%doc %{_docdir}/%{name}-%{version}

%files zip
%defattr(-, root, root, -)
%{_javadir}/jbossas-fordev/%{name}-%{full_version}-%{release}-bin-dist.zip

%files src-zip
%defattr(-, root, root, -)
%{_javadir}/jbossas-fordev/%{name}-%{full_version}-%{release}-src-dist.zip

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Tue Mar 06 2012 Weinan Li <weli@redhat.com> 1.2.1-11.CP02_patch01.1
- Build for one-off

* Sun Mar 04 2012 Weinan Li <weli@redhat.com> 1.2.1-10.CP04.1
- Upgrade to CP04
- Include fixes for XXE security issue:  RESTEASY-647,659,668

* Wed Sep 14 2011 Weinan Li <weli@redhat.com> 1.2.1-9.CP02.4
- Rebuild

* Fri Sep 09 2011 Weinan Li <weli@redhat.com> 1.2.1-9.CP02.3
- Add BR xml-commons-jaxp-1.3-apis

* Fri Sep 09 2011 Martha Benitez <mbenitez@redhat.com> 1.2.1-9.CP02.2
- Add patch to upgrade slf4j

* Fri Aug 26 2011 Weinan Li <weli@redhat.com> 1.2.1-9.CP02.1
- Upgrade to 1.2.1.GA_CP02

* Thu May 12 2011 Weinan Li <weli@redhat.com> 1.2.1-8.CP01.8
- Rebuild

* Mon May 09 2011 Permaine Cheung <pcheung@redhat.com> 1.2.1-8.CP01.7
- Rebuild

* Fri May 06 2011 Weinan Li <weli@redhat.com> 1.2.1-8.CP01.6
- Add resteasy-springMVC-contacts-jsp.patch

* Wed May 04 2011 Weinan Li <weli@redhat.com> 1.2.1-8.CP01.5
- Fix the jettison verison dependency in source
- Remove depmap entry of jettison

* Wed Apr 27 2011 Weinan Li <weli@redhat.com> 1.2.1-8.CP01.4
- Fix JBPAPP-6304
- Add BR jettison 1.2
- Remove BR jettison 1.1
- Add demap entry for jettison

* Wed Dec 15 2010 Weinan Li <weli@redhat.com> 1.2.1-8.CP01.3.2
- Fix wrong source url comment

* Mon Nov 29 2010 Weinan Li <weli@redhat.com> 1.2.1-8.CP01.3.1
- Update to 1.2.1.GA_CP01
- BR jboss-ejb-3.0-api to provide annotation_1_0_api
- BR glassfish-javamail to provide javamail_1_4_api
- BR richfaces-docs
- BR richfaces-root
- Remove patches and sources for richfaces
- Remove BR servlet_2_5_api
- Include signed jar files
- Cleanup depmap

* Thu Aug 26 2010 Fernando Nasser <fnasser@redhat.com> 1.2.1-7
- Rebuild

* Thu Aug 26 2010 Weinan Li <weli@redhat.com> 1.2.1-6
- Rebuild
- Change BR junit44 to junit4

* Thu Aug 19 2010 Weinan Li <weli@redhat.com> 1.2.1-5
- Rebuild with modified RESTEasy source

* Thu Aug 19 2010 Weinan Li <weli@redhat.com> - 1.2.1-3
- Update source to 1.2.1.GA
- Resolve JBAPP-4286, JBAPP-4657, JPABB-4659, JBAPP-4707
- Version sync with RHEL-4-EP-5

* Thu Aug 12 2010 Weinan Li <weli@redhat.com> - 1.2.1-2.CP02.9
- Add xml-resolver as source
- Remove xml-resolver from depmap
- Add pom for resteasy-jettison-provider

* Wed Jul 7 2010 Weinan Li <weli@redhat.com> - 1.2.1-2.CP02.8
- Remove BR maven2-plugin-release
- Remove BR batik
- Add BR xmlgraphics-commons

* Tue Jul 6 2010 Weinan Li <weli@redhat.com> - 1.2.1-2.CP02.7
- Remove unused sources and patches
- Re-order patches and sources
- Sync build version with rhel-4 build

* Thu Jun 17 2010 Weinan Li <weli@redhat.com> - 1.2.1-2.CP02.4
- Sync with RHEL-4-EP-5
- Add clean section in spec
- Add BR zip

* Tue May 25 2010 Weinan Li <weli@redhat.com> - 1.2.1-1-CP02.1
- Upgrade to RESTEasy 1.2.1

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 1.1-17.CP03.4.1
- rebuilt

* Tue May 11 2010 Weinan Li <weli@redhat.com> - 1.1-17-CP03.4
- Fix JBPAPP-4257 - EWP 5.0.1.CR2 RESTEasy - SVN files bundled in source zip

* Fri Apr 30 2010 Weinan Li <weli@redhat.com> - 1.1-17-CP03.3
- Add CP03.tgz to sources

* Fri Apr 30 2010 Weinan Li <weli@redhat.com> - 1.1-17-CP03.2
- Sync with RHEL-4-EP-5

* Mon Apr 26 2010 Yong Yang <yyang@redhat.com> - 1.1-16.CP02.12.1
- Sync with RHEL-4-EP-5

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> - 1.1-16-CP02.12
- Rebuild

* Fri Apr 02 2010 Weinan Li <weli@redhat.com> - 1.1-16-CP02.11
- Update all fixes according to 1.1-16-CP02.11 in RHEL-4 tag
- add missing jars in files section

* Tue Mar 09 2010 Weinan Li <weli@redhat.com> - 1.1-16-CP02.3.1
- Remove bundled richfaces-highlight
- Add file attributes to examples sub-package
- Change geronimo-jta-1.1-api to jboss-transaction-1.0.1-api
- Change geronimo-annotation-1.0-api to jboss-ejb-3.0-api
- Change BR excalibur-avalon-framework to avalon-framework
- Change the avalon-framework-api depmap
- Add BR jbossws, jbossws-parent

* Fri Feb 12 2010 Yong Yang <yyang@redhat.com> - 1.1-16.CP02.1.2
- Re-enable symlinks for Third-Party JARs, and add those jars to files section

* Thu Feb 11 2010 Yong Yang <yyang@redhat.com> - 1.1-16.CP02.1.1
- Comment BR richfaces-highligh because it's not ready in RHEL-5-EP-5, and add highlight-3.3.1.GA.jar as SOURCE
- Don't create links for Third-Party JARs, it will cause "error: Installed (but unpackaged) file(s) found:"

* Tue Feb 9 2010 Weinan Li <weli@redhat.com> - 1.1-16.CP02.1
- Remove patch2, it's no longer needed
- Fix pom.xml in examples/spring-hibernate-contacts

* Tue Feb 9 2010 Yong Yang <yyang@redhat.com> - 1.1-16.CP01.18
- BR richfaces-highlight, xmlgraphics-batik
- Add richfaces.pom and richfaces-docs.pom
- Add depmaps

* Wed Dec 23 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.17
- Use maven-jdocbook-plugin package
- Use jbossorg-docbook-highlight package
- Use jbossorg-docbook-xslt package
- Use jbossorg-jdocbook-style package

* Wed Dec 23 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.16
- Use apache-abdera package for building

* Mon Dec 21 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.15
- Use scannotation package
- Use apache-james package
- Use codehaus-jackson package
- Use jyaml package
- Use sun-sjsxp package
- Revert to Geronimo Specs "annotations" jsr250-api.jar as we no longer
  include that in sun-jaxws

* Thu Oct 15 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.14
- Rebuild to get latest versions of deps

* Wed Sep 23 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.13
- Move buildmagic repolig to org/jboss/resteasy from just resteasy

* Wed Sep 23 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.12
- Fix version in component-info
- Rename, do not link, buildmagic unsigned files

* Wed Sep 23 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.11
- Add component-info.xml to the buildmagic repolib contents
- Remove version from buildmagic repolib files

* Wed Sep 23 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.10
- Add maven2-brew repo to example POMs by patching
- Use jsr250.jar (annotations) binary from glassfish-jaxws bundled JARsi
  to match the rest of the EAP (NOT built from sources)
- Add repolib buildmagic contents, including sources and patches

* Wed Sep 02 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.9
- Refresh source tar ball for JBPAPP-2403 fix

* Wed Sep 02 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.8
- Refresh source tar ball for dependency version alignment
- Remove cglib, asm and aopalliance JARs from the lib directory

* Mon Aug 31 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.7
- Revert to Stax 1.0

* Wed Aug 19 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.6
- Refresh source tar ball
- Remove version patch incorporated to the sources

* Wed Aug 19 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.5
- Add missing poms
- Add repolib with the maven2 contents only

* Wed Aug 19 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.4
- Actually apply the patch

* Wed Aug 19 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.3
- Patch the version to indicate it is 1.1.GA_CP01 and not 1.1.GA anymore

* Fri Aug 14 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.2
- Use codehaus-stax for the stax API (the impl used is wstx)

* Fri Aug 14 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-16.CP01.1
- Upgrade to CP01

* Tue Aug 11 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-15
- Rebuild with wstx 3.2.8

* Mon Aug 10 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-14
- Use aspectj package at the right version
- Use slf4j package at the right version
- Use jaxen package at the 1.1.2 version
- Use ws-commons-axiom package at the 1.2.7 version

* Wed Jul 28 2009 Chris O'Brien <cobrien@redhat.com> - 1.1-13
- more signed JARs work
- limiting the number of JARs signed

* Tue Jul 28 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-10
- Rebuild signing JARs

* Mon Jul 27 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-9
- Use tjws package

* Fri Jul 24 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-8
- Adapt for the new Hibernate 3.3.2 wich changed JAR names

* Thu Jul 16 2009 Permaine Cheung <pcheung@redhat.com> - 1.1-7
- Update version of jgroups for BR and R
- Remove depmap entry for jgroups now that it has a maven fragment

* Thu Jul 16 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-6
- Remove versions from example lib JAR file names

* Wed Jul 15 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-5
- Upgrade the commons-httpclient used
- Upgrade the xstream used
- Upgrade the jettison used
- Upgrade the sun-fi (FastInfoset) used

* Tue Jul 07 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-4
- Use glassfish-jaxb for JAXB
- Use google-guice package
- Complete links for libraries installed by other packages
- Copy over remaining thirdparty libraries

* Tue Jul 07 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-3
- Remove versions from JAR files (except from examples)
- Add unversioned symlinks to RPM main libraries
- Add EULA to ZIP as well

* Sun Jul 05 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-2
- Install libraries and WAR
- Install documentation (javadoc and manual)
- Install examples
- Add POMs and depmap fragments

* Tue Jun 30 2009 Fernando Nasser <fnasser@redhat.com> - 1.1-1
- First RPM release
